| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::detail::wrapped_ssl_ctx Struct Reference

This class wraps a raw SSL_CTX pointer, managing moving, creation, and RAII destruction. More...

`#include <wrapped_ssl_ctx.h>`

Collaboration diagram for dpp::detail::wrapped_ssl_ctx:
[legend]

## Public Member Functions

| wrapped_ssl_ctx (bool is_server=false)
| Create a wrapped SSL context.
| wrapped_ssl_ctx (const wrapped_ssl_ctx &)=delete
| Copy constructor.
| wrapped_ssl_ctx (wrapped_ssl_ctx &&other) noexcept
| Move constructor.
| ~wrapped_ssl_ctx ()
std::string | get_ssl_error ()
| Get last SSL error message.
wrapped_ssl_ctx & | operator= (const wrapped_ssl_ctx &)=delete
| Copy assignment operator.
wrapped_ssl_ctx & | operator= (wrapped_ssl_ctx &&other) noexcept
| Move assignment operator.

## Public Attributes

SSL_CTX * | context {nullptr}
| SSL_CTX pointer, raw C pointer nastiness.

## Detailed Description

This class wraps a raw SSL_CTX pointer, managing moving, creation, and RAII destruction.

## Constructor & Destructor Documentation

## ◆ wrapped_ssl_ctx() [1/3]

dpp::detail::wrapped_ssl_ctx::wrapped_ssl_ctx | ( | bool | is_server = false | ) |

inline explicit

Create a wrapped SSL context.

Parameters

  is_server | true to create a server context, false to create a client context

Exceptions

  dpp::connection_exception | if context could not be created

## ◆ wrapped_ssl_ctx() [2/3]

dpp::detail::wrapped_ssl_ctx::wrapped_ssl_ctx | ( | const wrapped_ssl_ctx & |  | ) |

delete

Copy constructor.

Note
  Intentionally deleted

## ◆ wrapped_ssl_ctx() [3/3]

dpp::detail::wrapped_ssl_ctx::wrapped_ssl_ctx | ( | wrapped_ssl_ctx && | other | ) |

inline noexcept

Move constructor.

Parameters

  other | source context

## ◆ ~wrapped_ssl_ctx()

dpp::detail::wrapped_ssl_ctx::~wrapped_ssl_ctx | ( |  | ) |

inline

## Member Function Documentation

## ◆ get_ssl_error()

std::string dpp::detail::wrapped_ssl_ctx::get_ssl_error | ( |  | ) |

inline

Get last SSL error message.

Returns
  SSL error message

## ◆ operator=() [1/2]

wrapped_ssl_ctx & dpp::detail::wrapped_ssl_ctx::operator= | ( | const wrapped_ssl_ctx & |  | ) |

delete

Copy assignment operator.

Note
  Intentionally deleted

## ◆ operator=() [2/2]

wrapped_ssl_ctx & dpp::detail::wrapped_ssl_ctx::operator= | ( | wrapped_ssl_ctx && | other | ) |

inline noexcept

Move assignment operator.

Parameters

  other | source context

Returns
  self

## Member Data Documentation

## ◆ context

SSL_CTX* dpp::detail::wrapped_ssl_ctx::context {nullptr}

SSL_CTX pointer, raw C pointer nastiness.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0